// stdio.h
#ifndef stdio_h
#define stdio_h

struct          FILE 
{
 char*          _ptr;
 int            _cnt;
 char*          _base;		
 int            _flag;
 int            _file;
 int            _charbuf;
 int            _bufsiz;
 char*          _tmpfname;
};
extern int      (__cdecl* _getwch )();
extern char     (__cdecl* getchar)();
extern FILE*    (__cdecl* fopen)(const char* pszFile, const char* pszMode);
extern FILE*    (__cdecl* _wfopen)(const wchar_t* pszFile, const wchar_t* pszMode);
extern int      (__cdecl* printf)(const char* pFormat, ...);
extern int      (__cdecl* wprintf)(const wchar_t* pFormat, ...);
extern int      (__cdecl* fprintf)(FILE* fp, const char* format, ...);
extern int      (__cdecl* fwprintf)(FILE* fp, const wchar_t* format, ...);
extern int      (__cdecl* fscanf)(FILE* fp, const char* pFormat, ...);
extern int      (__cdecl* fwscanf)(FILE* fp, const wchar_t* pFormat, ...);
extern int      (__cdecl* sprintf)(char* buffer, const char* format, ...);
extern int      (__cdecl* swprintf)(wchar_t* buffer, const wchar_t* format, ...);
extern char*    (__cdecl* fgets)(char* pBuffer, int iSize, FILE* fp);
extern wchar_t* (__cdecl* fgetws)(wchar_t* pBuffer, int iSize, FILE* fp);
extern void     (__cdecl* rewind)(FILE* fp);
extern int      (__cdecl* fclose)(FILE* fp);
extern int      (__cdecl* wsystem )( wchar_t const *command);
//extern int      (__cdecl* iswspace)(int c);
//extern wchar_t* (__cdecl* _itow)(int iNumber, wchar_t* sBuffer, int radix);

extern "C" int __cdecl tclver();
extern "C" char* __cdecl VersionA();
extern "C" wchar_t* __cdecl VersionW();
extern "C" FILE* GetStdin();

//extern "C" size_t __cdecl FltToCh(char* p, double x, size_t iFldWthTChrs, int iDecPlaces, char cDecimalSeperator, bool blnRightJustified);
//extern "C" size_t __cdecl FltToWch(wchar_t* p, double x, size_t iFldWthTChrs, int iDecPlaces, wchar_t cDecimalSeperator, bool blnRightJustified);
//extern int   (__cdecl* _open_osfhandle)(INT_PTR osfhandle,int flags);
//extern FILE* (__cdecl* _wfdopen)( int fd, const wchar_t* mode);   
extern "C" int tcl_depack_asm_fast(const void *source, void *destination);

	
#endif
