// 'zTrace header
#ifndef USE_ZTRACE
	#define USE_ZTRACE
	#define long_proc typedef long (__stdcall *zProc)
	long zTrace (IN WCHAR* sPtr) {
	    long nRet = 0;
	    static HMODULE hDll;
	    if (hDll == 0) { 
	        if (sizeof(LONG_PTR) == 8 ) {
	            hDll = LoadLibrary(L"zTrace64"); }
	        else {
	            hDll = LoadLibrary(L"zTrace32");
	        }
	    }
	    if (hDll) {
	        long_proc (WCHAR*);
	        zProc hProc = (zProc) GetProcAddress(hDll, "zTrace");
	        if (hProc) { nRet = hProc((WCHAR*) sPtr); }
	    }
	    return nRet;
	}
#endif